/* ===================================================================
* DIAPORAMA
* =================================================================*/

.TPL_DIAPORAMA {
    position: relative;
    padding: 0 5rem 5rem !important;
    max-width: 970px;
    margin: 0 auto;
    @media screen and (max-width: @mobile) {
        padding: 0 1rem !important;
        box-sizing: border-box;
    }

    h2 {
        text-align: center;
    }

    .innerParagraphe > div {
        position: relative;
    }

    .slick-slider {
        .slick-slide {
            .slick-item {
                vertical-align: bottom;
                position: relative;

                .zoneTexte {
                    text-align: center;
                    margin: 20px 0;
                }
            }
        }
    }

    .slick-controls {
        display: flex;
        justify-content: space-between;
        width: ~"calc(100% + 180px)";
        position: absolute;
        top: 50%;
        transform: translateY(-100%);
        left: -90px;
        text-align: center;
        @media screen and (max-width: @mobile) {
            width: ~"calc(100% + 50px)";
            margin-left: -25px;
        }

        .slick-arrow {
            border: 2px solid @primaryColor;
            background-color: #fff;
            color: @primaryColor;
            margin: 0 5px;
            width: 60px;
            height: 60px;
            position: relative;
            transition: all 0.3s;

            &:hover,
            &:focus,
            &:active{
                background: @primaryColor;

                &::before {
                    color: #fff;
                }
            }

            &::before {
                .fa;
                font-size: 2rem;
                color: @primaryColor;
                .tr;
            }

            &.slick-prev {
                &::before {
                    content: '\f053';
                    .fas;
                    position: absolute;
                    top: 50%;
                    left: 50%;
                    transform: translate(-50%, -50%);
                }
            }

            &.slick-next {
                &::before {
                    content: '\f054';
                    .fas;
                    position: absolute;
                    top: 50%;
                    left: 50%;
                    transform: translate(-50%, -50%);
                }
            }
        }
    }

    .slick-dotscontainer {
        .visuallyhidden;
    }

    .slide-play, .slide-pause {
        .visuallyhidden;
    }
}

@media screen and (max-width: 1024px) {
    .TPL_DIAPORAMA {
        padding: 0 5rem 2rem;

        .innerParagraphe > div {
            margin: 0 45px;
        }
    }
}

@media screen and (max-width: @mobile) {
    .TPL_DIAPORAMA .innerParagraphe {
        & > div {
            margin: 0;
        }
    }
}